package com.seer.teach.pay.app.event;

import com.seer.teach.pay.entity.RefundOrderEntity;
import org.springframework.context.ApplicationEvent;

/**
 * 退款失败事件
 */
public class RefundFailEvent extends ApplicationEvent {
    
    private final RefundOrderEntity refundOrder;

    public RefundFailEvent(Object source, RefundOrderEntity refundOrder) {
        super(source);
        this.refundOrder = refundOrder;
    }

    public RefundOrderEntity getRefundOrder() {
        return refundOrder;
    }
}